Curation Partners API

Curation partners API is an externally available HTTP API for curators to programmatically manage their data segments and curated packages used by ad agencies.

Service: curationpartners.googleapis.com

To call this service, we recommend that you use the Google-provided client libraries. If your application needs to use your own libraries to call this service, use the following information when you make the API requests.

Discovery document

A Discovery Document is a machine-readable specification for describing and consuming REST APIs. It is used to build client libraries, IDE plugins, and other tools that interact with Google APIs. One service may provide multiple discovery documents. This service provides the following discovery document:

Service endpoint

A service endpoint is a base URL that specifies the network address of an API service. One service might have multiple service endpoints. This service has the following service endpoint and all URIs below are relative to this service endpoint:

  • https://curationpartners.googleapis.com

REST Resource: v1.curators.curatedPackages

Methods
activate POST /v1/{name=curators/*/curatedPackages/*}:activate
Activates an existing curated package.
create POST /v1/{parent=curators/*}/curatedPackages
Creates a new curated package.
deactivate POST /v1/{name=curators/*/curatedPackages/*}:deactivate
Deactivates an existing curated package.
get GET /v1/{name=curators/*/curatedPackages/*}
Gets a curated package given its resource name.
list GET /v1/{parent=curators/*}/curatedPackages
Lists curated packages owned by the specified curator.
patch PATCH /v1/{curatedPackage.name=curators/*/curatedPackages/*}
Updates an existing curated package.

REST Resource: v1.curators.dataSegments

Methods
activate POST /v1/{name=curators/*/dataSegments/*}:activate
Activates a data segment.
create POST /v1/{parent=curators/*}/dataSegments
Creates a data segment owned by the listed curator.
deactivate POST /v1/{name=curators/*/dataSegments/*}:deactivate
Deactivates a data segment.
get GET /v1/{name=curators/*/dataSegments/*}
Gets a data segment given its name.
list GET /v1/{parent=curators/*}/dataSegments
List the data segments owned by a curator.
patch PATCH /v1/{dataSegment.name=curators/*/dataSegments/*}
Updates a data segment.

REST Resource: v1.curators.reports

Methods
create POST /v1/{parent=curators/*}/reports
Creates a Report object.
delete DELETE /v1/{name=curators/*/reports/*}
Deletes a Report object.
get GET /v1/{name=curators/*/reports/*}
Retrieves a Report object.
list GET /v1/{parent=curators/*}/reports
Lists Report objects.
patch PATCH /v1/{report.name=curators/*/reports/*}
Updates a Report object.
run POST /v1/{name=curators/*/reports/*}:run
Initiates the execution of an existing report asynchronously.

REST Resource: v1.curators.reports.operations

Methods
get GET /v1/{name=curators/*/reports/*/operations/*}
Gets the latest state of a long-running operation.

REST Resource: v1.curators.reports.results

Methods
fetchRows GET /v1/{name=curators/*/reports/*/results/*}:fetchRows
Returns the result rows from a completed report.

REST Resource: v1.mediaPlanners

Methods
list GET /v1/mediaPlanners
Lists all media planner accounts that the caller has access to.